Browse Source

Modify test.sh to exit with exit code 1 on failed compilation

square-pasture
Abheek Dhawan 3 years ago
parent
commit
513792d2c8
  1. 10
      test.sh

10
test.sh

@ -3,7 +3,11 @@ FILES=*/*/*.cpp
for f in $FILES
do
gcc "$f" -lstdc++ -o /dev/null
status=$?
[ $status -eq 0 ] && echo "$f was compiled successfully" || echo "Compilation of $f failed"
gcc "$f" -lstdc++ -o /dev/null;
status=$?;
if [ $status -eq 1 ]; then
echo "Compilation of $f failed";
exit 1;
fi
echo "$f was compiled successfully";
done

Loading…
Cancel
Save